Menu

22 juni 2010

Fix voor Growmail onder Mac OS X 10.6.4

De nieuwe versie OS X Mail (4.3) die aanwezig is in de Snow Leopard 10.6.4 update heeft nieuwe UUID’s gekregen. Dit zijn versie identificaties die overeen moet komen met de UUID’s van plugins om de deze laatste te kunnen starten.

Een veel gebruikte plugin voor OS X Mail in GrowlMail, deze geeft grafische notificaties wanneer er nieuwe email is ontvangen. Ook deze plugin werkt niet meer onder OS X Mail (4.3) omdat de UUID’s niet meer kloppen. Je kan de plugin weer werkend krijgen door de propertylist van GrowlMail aan te passen, dit is mogelijk met de onderstaande procedure:

1. Sluit OS X Mail af en ga naar de map (home) ▸ Bibliotheek ▸ Mail.

2. Kopieer uit de map ‘Bundles uitgeschakeld’ de ‘growlmail.mailbundle’ terug naar de ‘Bundles’ map.

3. Open een OS X Terminal sessie en voer de onderstaande commando’s uit:

cd ~/Library/Mail/Bundles/GrowlMail.mailbundle/Contents/

defaults write Info SupportedPluginCompatibilityUUIDs -array-add "B842F7D0-4D81-4DDF-A672-129CA5B32D57"

defaults write Info SupportedPluginCompatibilityUUIDs -array-add "E71BD599-351A-42C5-9B63-EA5C47F7CE8E"

Herstart hierna OS X Mail en je hebt weer de beschikking over de plugin!

Update! Er is nu ook een kant en klare gepachte versie beschikbaar:
http://langui.sh/2010/06/15/fixing-growlmail-in-10-6-4-mail-4-3/




Gerelateerde tips:




Reacties


  • Louis vD 22 juni 2010 om 8:13

    Bovenstaande fix werkt niet bij mij, maar de gepatchte versie doet het hier wel: http://langui.sh/2010/06/15/fixing-growlmail-in-10-6-4-mail-4-3/

  • Roy 22 juni 2010 om 11:46

    Bij mij werkt het wel gewoon sinds ik op Snow Leopard ben over gegaan…
    Is dat gewoon het rode rondje met het xx aantal e-mails in de postvan in?

    Of ben ik in de war met Growl meldingen?

  • Rob 29 juni 2010 om 0:49

    Heeft bij mij steeds gewoon gewerkt.

Een reactie toevoegen: